Bug 19522 - Label creator - some strings are not translatable
Summary: Label creator - some strings are not translatable
Status: Signed Off
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Victor Grousset/tuxayo
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-24 13:11 UTC by Victor Grousset/tuxayo
Modified: 2018-01-12 09:08 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19522: Label creator - some strings are not translatable (4.46 KB, patch)
2017-10-24 14:00 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (4.09 KB, patch)
2017-10-24 14:33 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (1.82 KB, patch)
2017-10-25 10:27 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (3.96 KB, patch)
2017-10-25 10:27 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.43 KB, patch)
2017-10-25 15:22 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.56 KB, patch)
2017-10-25 15:22 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (1.82 KB, patch)
2017-10-26 14:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (3.96 KB, patch)
2017-10-26 14:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.37 KB, patch)
2017-10-26 14:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.56 KB, patch)
2017-10-26 14:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: translate empty list message (2.00 KB, patch)
2017-10-26 14:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.70 KB, patch)
2017-10-27 10:04 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.73 KB, patch)
2017-10-27 14:51 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.09 KB, patch)
2017-10-27 14:52 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
the string failed to be translated... (20.77 KB, image/png)
2017-10-27 18:39 UTC, Dominic Pichette
Details
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.15 KB, patch)
2017-11-06 11:18 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (1.86 KB, patch)
2017-11-06 12:49 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (4.00 KB, patch)
2017-11-06 12:49 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.41 KB, patch)
2017-11-06 12:49 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.61 KB, patch)
2017-11-06 12:50 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: translate empty list message (2.05 KB, patch)
2017-11-06 12:50 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.77 KB, patch)
2017-11-06 12:50 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.19 KB, patch)
2017-11-06 12:50 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (1.88 KB, patch)
2017-11-06 13:27 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (4.01 KB, patch)
2017-11-06 13:27 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.42 KB, patch)
2017-11-06 13:27 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.62 KB, patch)
2017-11-06 13:28 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: translate empty list message (2.06 KB, patch)
2017-11-06 13:28 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.78 KB, patch)
2017-11-06 13:28 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.15 KB, patch)
2017-11-06 13:28 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (1.93 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (4.07 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.48 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.68 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Label creator: translate empty list message (2.12 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.84 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.20 KB, patch)
2017-12-21 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19522: Coding style: Fix alignement after previous patch (4.07 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator - some strings are not translatable (2.48 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Coding style: Replace tabs with spaces (1.67 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: translate empty list message (2.12 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make Call number translatable (1.84 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19522: Label creator: edit batch: make "Export label" translatable (2.20 KB, patch)
2018-01-12 08:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2017-10-24 13:11:22 UTC
This bug will group several patches to make all strings translatable in the Label creator tool (those that I've found at least)
Comment 1 Victor Grousset/tuxayo 2017-10-24 14:00:56 UTC Comment hidden (obsolete)
Comment 2 Victor Grousset/tuxayo 2017-10-24 14:04:14 UTC Comment hidden (obsolete)
Comment 3 Simon Pouchol 2017-10-24 14:33:27 UTC Comment hidden (obsolete)
Comment 4 Victor Grousset/tuxayo 2017-10-25 10:27:32 UTC Comment hidden (obsolete)
Comment 5 Victor Grousset/tuxayo 2017-10-25 10:27:35 UTC Comment hidden (obsolete)
Comment 6 Victor Grousset/tuxayo 2017-10-25 15:22:24 UTC Comment hidden (obsolete)
Comment 7 Victor Grousset/tuxayo 2017-10-25 15:22:27 UTC Comment hidden (obsolete)
Comment 8 Victor Grousset/tuxayo 2017-10-25 15:29:11 UTC Comment hidden (obsolete)
Comment 9 Victor Grousset/tuxayo 2017-10-26 14:30:35 UTC Comment hidden (obsolete)
Comment 10 Victor Grousset/tuxayo 2017-10-26 14:30:39 UTC Comment hidden (obsolete)
Comment 11 Victor Grousset/tuxayo 2017-10-26 14:30:43 UTC Comment hidden (obsolete)
Comment 12 Victor Grousset/tuxayo 2017-10-26 14:30:46 UTC Comment hidden (obsolete)
Comment 13 Victor Grousset/tuxayo 2017-10-26 14:30:50 UTC Comment hidden (obsolete)
Comment 14 Victor Grousset/tuxayo 2017-10-27 10:04:23 UTC Comment hidden (obsolete)
Comment 15 Victor Grousset/tuxayo 2017-10-27 14:51:59 UTC Comment hidden (obsolete)
Comment 16 Victor Grousset/tuxayo 2017-10-27 14:52:02 UTC Comment hidden (obsolete)
Comment 17 Dominic Pichette 2017-10-27 18:38:42 UTC
Doesn't seem to work. Maybe the translated string is only present in your .po?
You can take a look at the screenshot I took : fr-FR.png
Comment 18 Dominic Pichette 2017-10-27 18:39:31 UTC
Created attachment 68785 [details]
the string failed to be translated...
Comment 19 Victor Grousset/tuxayo 2017-10-30 11:00:29 UTC
Thanks for testing my first set of patches.

> Maybe the translated string is only present in your .po?

The .po I use is the one from the repository without any modification.

I followed the test plan for 68740 from the latest code on the master branch.
And whether by applying only 68740 or all the patches. In the end, I get the expected result ("Exporter des étiquettes").

I'm not sure my step 9 was well named (one might think that it's different from step 1)
It means using `koha-translate --install` or `./translate install` is that what you did?
Comment 20 Owen Leonard 2017-10-30 14:39:40 UTC
I installed fr-FR in my devbox using 'sudo koha-translate --install fr-FR --dev kohadev' With the patch applied, even after running 'sudo koha-translate --update fr-FR --dev kohadev' I still don't see 'Fields to print' as a standalone string in the po file.
Comment 21 Victor Grousset/tuxayo 2017-10-30 15:30:09 UTC
@Owen Leonard
I followed the test plan for 68612 from the latest code on the master branch. And  applied only 68612.
After step 6 (update the language, I used ./translate update fr-FR)
When I run
grep -rin -E "\"fields to print" misc/translator/po
Then I get
misc/translator/po/fr-FR-staff-prog.po:24391:msgid "Fields to print"
Comment 22 Victor Grousset/tuxayo 2017-10-30 15:32:33 UTC
Could there be a difference between using koha-translate and misc/translator/translate?
Comment 23 Katrin Fischer 2017-11-01 11:26:39 UTC
Hm there could be. Owen, could you try from koha-shell with 
cd misc/translator
perl translate update fr-FR
?
Comment 24 Victor Grousset/tuxayo 2017-11-03 13:35:35 UTC
@Owen it seems that koha-translate doesn't work on a dev install.
http://irc.koha-community.org/koha/2017-11-03#i_1985535

@Dominic how did you installed the language?
https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client#Installing_translations
Comment 25 Dominic Pichette 2017-11-03 20:21:18 UTC
i translated using misc/translator/translate fr-CA
Comment 26 Simon Pouchol 2017-11-06 11:18:19 UTC Comment hidden (obsolete)
Comment 27 Simon Pouchol 2017-11-06 12:49:51 UTC Comment hidden (obsolete)
Comment 28 Simon Pouchol 2017-11-06 12:49:55 UTC Comment hidden (obsolete)
Comment 29 Simon Pouchol 2017-11-06 12:49:59 UTC Comment hidden (obsolete)
Comment 30 Simon Pouchol 2017-11-06 12:50:02 UTC Comment hidden (obsolete)
Comment 31 Simon Pouchol 2017-11-06 12:50:06 UTC Comment hidden (obsolete)
Comment 32 Simon Pouchol 2017-11-06 12:50:09 UTC Comment hidden (obsolete)
Comment 33 Simon Pouchol 2017-11-06 12:50:12 UTC Comment hidden (obsolete)
Comment 34 Simon Pouchol 2017-11-06 13:27:37 UTC
Created attachment 68973 [details] [review]
Bug 19522: Label creator - some strings are not translatable

Add missing case to make "Fields to print" translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=layout
3. ensure that the list isn't empty
4. then you should see "Fields to print" in the table header
5. apply this patch
6. update the language
7. open misc/translator/po/fr-FR-staff-prog.po
8. translate the new string with something like "foobar"
   and remove the fuzzy flag
9. install the language
10. refresh the page
11. then you should see "foobar" instead of "Fields to print"

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 35 Simon Pouchol 2017-11-06 13:27:45 UTC
Created attachment 68974 [details] [review]
Bug 19522: Coding style: Fix alignement after previous patch

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 36 Simon Pouchol 2017-11-06 13:27:53 UTC
Created attachment 68975 [details] [review]
Bug 19522: Label creator - some strings are not translatable

Templates: new form:
Add hardcoded unit names to make them translatable.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 37 Simon Pouchol 2017-11-06 13:28:01 UTC
Created attachment 68976 [details] [review]
Bug 19522: Coding style: Replace tabs with spaces

In Label creator: Templates: new/edit form

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 38 Simon Pouchol 2017-11-06 13:28:07 UTC
Created attachment 68977 [details] [review]
Bug 19522: Label creator: translate empty list message

The name of the element wasn't translated in the message.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. ensure that the list is empty
4. then you should see "pas de Batches actuellement"
5. then you should see "créer un nouveau batch."
6. apply this patch
7. install the language
8. refresh the page
9. then you should see "pas de Lots actuellement"
10. then you should see "créer un nouveau lot ."

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 39 Simon Pouchol 2017-11-06 13:28:12 UTC
Created attachment 68978 [details] [review]
Bug 19522: Label creator: edit batch: make Call number translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. then you should see "Call number" in the column names
6. apply this patch
7. install the fr_FR locale
8. refresh the page
9. then you should see "Cote" in the column names

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 40 Simon Pouchol 2017-11-06 13:28:16 UTC
Created attachment 68979 [details] [review]
Bug 19522: Label creator: edit batch: make "Export label" translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. Switch the language to French if you haven't done it yet
6. click on "Exporter le lot entier"
7. then you should see "Export labels"
8. apply this patch
9. install the language
10. replay steps 2 to 6
11. then you should see "Exporter des étiquettes"

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 41 Kyle M Hall 2017-12-21 13:46:30 UTC
Created attachment 70015 [details] [review]
Bug 19522: Label creator - some strings are not translatable

Add missing case to make "Fields to print" translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=layout
3. ensure that the list isn't empty
4. then you should see "Fields to print" in the table header
5. apply this patch
6. update the language
7. open misc/translator/po/fr-FR-staff-prog.po
8. translate the new string with something like "foobar"
   and remove the fuzzy flag
9. install the language
10. refresh the page
11. then you should see "foobar" instead of "Fields to print"

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 42 Kyle M Hall 2017-12-21 13:46:38 UTC
Created attachment 70016 [details] [review]
Bug 19522: Coding style: Fix alignement after previous patch

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 43 Kyle M Hall 2017-12-21 13:46:41 UTC
Created attachment 70017 [details] [review]
Bug 19522: Label creator - some strings are not translatable

Templates: new form:
Add hardcoded unit names to make them translatable.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 44 Kyle M Hall 2017-12-21 13:46:44 UTC
Created attachment 70018 [details] [review]
Bug 19522: Coding style: Replace tabs with spaces

In Label creator: Templates: new/edit form

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 45 Kyle M Hall 2017-12-21 13:46:48 UTC
Created attachment 70019 [details] [review]
Bug 19522: Label creator: translate empty list message

The name of the element wasn't translated in the message.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. ensure that the list is empty
4. then you should see "pas de Batches actuellement"
5. then you should see "créer un nouveau batch."
6. apply this patch
7. install the language
8. refresh the page
9. then you should see "pas de Lots actuellement"
10. then you should see "créer un nouveau lot ."

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 46 Kyle M Hall 2017-12-21 13:46:51 UTC
Created attachment 70020 [details] [review]
Bug 19522: Label creator: edit batch: make Call number translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. then you should see "Call number" in the column names
6. apply this patch
7. install the fr_FR locale
8. refresh the page
9. then you should see "Cote" in the column names

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 47 Kyle M Hall 2017-12-21 13:46:54 UTC
Created attachment 70021 [details] [review]
Bug 19522: Label creator: edit batch: make "Export label" translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. Switch the language to French if you haven't done it yet
6. click on "Exporter le lot entier"
7. then you should see "Export labels"
8. apply this patch
9. install the language
10. replay steps 2 to 6
11. then you should see "Exporter des étiquettes"

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 48 Jonathan Druart 2017-12-22 16:18:52 UTC
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/labels/label-manage.tt).
Comment 49 Victor Grousset/tuxayo 2018-01-12 08:59:08 UTC
Created attachment 70449 [details] [review]
Bug 19522: Coding style: Fix alignement after previous patch

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 50 Victor Grousset/tuxayo 2018-01-12 08:59:16 UTC
Created attachment 70450 [details] [review]
Bug 19522: Label creator - some strings are not translatable

Templates: new form:
Add hardcoded unit names to make them translatable.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 51 Victor Grousset/tuxayo 2018-01-12 08:59:21 UTC
Created attachment 70451 [details] [review]
Bug 19522: Coding style: Replace tabs with spaces

In Label creator: Templates: new/edit form

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 52 Victor Grousset/tuxayo 2018-01-12 08:59:25 UTC
Created attachment 70452 [details] [review]
Bug 19522: Label creator: translate empty list message

The name of the element wasn't translated in the message.

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. ensure that the list is empty
4. then you should see "pas de Batches actuellement"
5. then you should see "créer un nouveau batch."
6. apply this patch
7. install the language
8. refresh the page
9. then you should see "pas de Lots actuellement"
10. then you should see "créer un nouveau lot ."

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 53 Victor Grousset/tuxayo 2018-01-12 08:59:29 UTC
Created attachment 70453 [details] [review]
Bug 19522: Label creator: edit batch: make Call number translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. then you should see "Call number" in the column names
6. apply this patch
7. install the fr_FR locale
8. refresh the page
9. then you should see "Cote" in the column names

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 54 Victor Grousset/tuxayo 2018-01-12 08:59:34 UTC
Created attachment 70454 [details] [review]
Bug 19522: Label creator: edit batch: make "Export label" translatable

Test plan:
1. install the fr_FR locale
2. go to /cgi-bin/koha/labels/label-manage.pl?label_element=batch
3. create a batch if there is none
4. edit that batch
5. Switch the language to French if you haven't done it yet
6. click on "Exporter le lot entier"
7. then you should see "Export labels"
8. apply this patch
9. install the language
10. replay steps 2 to 6
11. then you should see "Exporter des étiquettes"

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 55 Victor Grousset/tuxayo 2018-01-12 09:08:22 UTC
(In reply to Jonathan Druart from comment #48)
> error: sha1 information is lacking or useless
> (koha-tmpl/intranet-tmpl/prog/en/modules/labels/label-manage.tt).

I resolved the conflict in this file.
The strange thing is that there didn't seem to be a conflict.
A git diff between my previous local branch for this bug and a new one (used for the conflict resolution) showed nothing on the involved file.
But the patches successfully apply now.